## marsshooter 0.7.5

=== CMakeLists.txt ===
################################################################
# Project M.A.R.S.
################################################################

 PROJECT(MARS)

# version number
set(mars_MAJOR 0)
set(mars_MINOR 7)
set(mars_PATCH 5)
set(mars_VERSION ${mars_MAJOR}.${mars_MINOR}.${mars_PATCH})
set(mars_DESCRIPTION "M.A.R.S. - a ridiculous Shooter")
set(mars_HOMEPAGE "http://www.marsshooter.org")
set(mars_EXENAME "mars")
set(mars_PACKAGENAME "mars")
 
# We require at least version 2.8.0
cmake_minimum_required(VERSION 2.8.0)

#####################################################################
# Configure and find libraries
#####################################################################

# find OpenGL headers and library
find_package(OpenGL REQUIRED)
include_directories(${OPENGL_INCLUDE_DIR})

# find the sfml2 headers and library
include(FindPkgConfig)
pkg_check_modules(SFML REQUIRED sfml-audio>=2.0 sfml-graphics>=2.0
			sfml-window>=2.0 sfml-system>=2.0)
include_directories(${SFML_INCLUDE_DIRS})

# Foundation library needed for apple
if(APPLE)
	find_library(FOUNDATION_LIBRARY Foundation)
endif(APPLE)

# Xrandr library needed for unix
# if(UNIX)
#	find_library(XRANDR_LIBRARY Xrandr)
# endif(UNIX)

# tag library needed for reading tags of music files
	find_library(TAG_LIBRARY tag)

# Fribidi library needed for bi-directional texts
	find_library(FRIBIDI_LIBRARY fribidi)

# set the executable output path
if(APPLE)
	set(EXECUTABLE_OUTPUT_PATH ${MARS_BINARY_DIR})
else(APPLE)
	set(EXECUTABLE_OUTPUT_PATH ${MARS_SOURCE_DIR})
endif(APPLE)

# include the 'include' directory
 include_directories(${MARS_SOURCE_DIR}/include)
 
#####################################################################
# Create executable
#####################################################################

# compile source
set(CMAKE_CXX_FLAGS "-s -O2")
 add_subdirectory(src) 
 
#####################################################################
# Create package
#####################################################################

# CPack version numbers for release tarball name.
set(CPACK_PACKAGE_VERSION_MAJOR ${mars_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${mars_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${mars_PATCH})

# To Create a package, one can run "cpack -G DragNDrop CPackConfig.cmake" on Mac OS X
# where CPackConfig.cmake is created by including CPack
# And then there's ways to customize this as well
set(CPACK_DMG_VOLUME_NAME "mars")
set(CPACK_BINARY_DRAGNDROP ON)
include(CPack)


################################################################
# Summary
################################################################

message( "" )
message( "Summary:" )
message( "  CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}" )
message( "  WIN32 = ${WIN32}" )
message( "  UNIX = ${UNIX}" )
message( "  APPLE = ${APPLE}" )
message( "  CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
message( "  CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}" )
message( "  CMAKE_OSX_ARCHITECTURES = ${CMAKE_OSX_ARCHITECTURES}" )
message( "  CMAKE_OSX_SYSROOT = ${CMAKE_OSX_SYSROOT}" )
message( "  CMAKE_OSX_DEPLOYMENT_TARGET = ${CMAKE_OSX_DEPLOYMENT_TARGET}" )
message( "  CMAKE_GENERATOR = ${CMAKE_GENERATOR}" )
message( "  SFML_INCLUDE_DIR = ${SFML_INCLUDE_DIR}" )
message( "  SFML_LIBRARIES = ${SFML_LIBRARIES}" )
message( "  OPENGL_INCLUDE_DIR = ${OPENGL_INCLUDE_DIR}" )
message( "  OPENGL_LIBRARIES = ${OPENGL_LIBRARIES}" )
message( "  XRANDR_LIBRARY = ${XRANDR_LIBRARY}" )
message( "  FRIBIDI_LIBRARY = ${FRIBIDI_LIBRARY}" )
message( "  TAG_LIBRARY = ${TAG_LIBRARY}" )
message( "" )

=== src/CMakeLists.txt ===

#####################################################################
# Actually compile the executable
#####################################################################

# determine source and header files
file(GLOB MARS_SOURCES */*.cpp)
file(GLOB MARS_HEADERS ${MARS_SOURCE_DIR}/include/*/*.hpp ${MARS_SOURCE_DIR}/include/*.hpp)
file(GLOB MARS_RESOURCES ${MARS_SOURCE_DIR}/mars.cfg)

# create executable
if(APPLE)
	add_executable(
		mars MACOSX_BUNDLE
			main.cpp
			${MARS_SOURCES}
			${MARS_HEADERS}
			${MARS_RESOURCES}
	)

	# Mac OS X bundle specific settings
	set(MACOSX_BUNDLE true)
	set(MACOSX_BUNDLE_BUNDLE_NAME mars)
	set(MACOSX_BUNDLE_INFO_STRING "M.A.R.S. ${mars_VERSION}")
	set(MACOSX_BUNDLE_LONG_VERSION_STRING "${mars_VERSION}")
	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${mars_VERSION}")
	set(MACOSX_BUNDLE_BUNDLE_VERSION "${mars_VERSION}")
  set(MACOSX_BUNDLE_ICON_FILE ${MARS_SOURCE_DIR}/resources/icon.icns)

	# Let gcc 4.0 compile the executable even on Mac OS X 10.6
	# so that the executable also runs on Mac OS X 10.4
	# only valid for xcode not for command line version of gcc
	set(CMAKE_XCODE_ATTRIBUTE_GCC_VERSION "4.0")
  
  # paths for data files in bundle
  set_source_files_properties(
    ${MARS_RESOURCES}
    PROPERTIES
      MACOSX_PACKAGE_LOCATION Resources
  )
else(APPLE)
	add_executable(
		mars
			main.cpp 
			${MARS_SOURCES}
			${MARS_HEADERS}
			${MARS_SOURCE_DIR}/resources/resource.rc
	)
endif(APPLE)

# link SFML and other libraries
target_link_libraries(
	mars
		${FOUNDATION_LIBRARY}
		${SFML_LIBRARIES}
		${OPENGL_LIBRARIES}
		${XRANDR_LIBRARY}
		${FRIBIDI_LIBRARY}
		${TAG_LIBRARY}
)

#####################################################################
# Installation
#####################################################################

if(UNIX)
	install(
		TARGETS 
			mars
		RUNTIME DESTINATION
			${CMAKE_INSTALL_PREFIX}/games
	)
	install(
		FILES
			${MARS_SOURCE_DIR}/credits.txt
			${MARS_SOURCE_DIR}/license.txt
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/doc/marsshooter
	)
	install(
		FILES
			${MARS_SOURCE_DIR}/data/botnames.txt
			${MARS_SOURCE_DIR}/data/shipnames.txt
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/games/marsshooter
	)
	install(
		DIRECTORY 
			${CMAKE_SOURCE_DIR}/data/audio
			${CMAKE_SOURCE_DIR}/data/fonts
			${CMAKE_SOURCE_DIR}/data/locales
			${CMAKE_SOURCE_DIR}/data/shaders
			${CMAKE_SOURCE_DIR}/data/tex
		DESTINATION 
			${CMAKE_INSTALL_PREFIX}/share/games/marsshooter
		PATTERN 
			".svn" EXCLUDE
	)
	# icons
	install(
		FILES
			${MARS_SOURCE_DIR}/resources/mars.png
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/512x512/apps
	)
	install(
		FILES
			${MARS_SOURCE_DIR}/resources/mars.svg
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
	)
	install(
		FILES
			${MARS_SOURCE_DIR}/resources/mars.xpm
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/pixmaps
	)
	# desktop file
	install(
		FILES
			${MARS_SOURCE_DIR}/resources/mars.desktop
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/applications
	)
	install(
		FILES
			${MARS_SOURCE_DIR}/resources/mars
		DESTINATION
			${CMAKE_INSTALL_PREFIX}/share/menu
	)

else(UNIX)
	# executable
	install(
		TARGETS mars
			RUNTIME DESTINATION .
			BUNDLE DESTINATION .
	)

	# install license and credits as well
	install(
		FILES
			${MARS_SOURCE_DIR}/credits.txt
			${MARS_SOURCE_DIR}/license.txt
		DESTINATION
			.
	)
endif(UNIX)

if(APPLE)
	# install data directory
	install(
		DIRECTORY ${CMAKE_SOURCE_DIR}/data
			DESTINATION mars.app/Contents/Resources
			FILES_MATCHING
				PATTERN "*.*"
	)
	
	# copy sndfile framework into app bundle for Mac OS X
	install(
		DIRECTORY /Library/Frameworks/sndfile.framework
			DESTINATION mars.app/Contents/Frameworks
		)

	# fixup bundle, copy dynamic libraries into app bundle
	set(APPS "\${CMAKE_INSTALL_PREFIX}/mars.app")  # paths to executables
	set(DIRS "${SFML_INCLUDE_DIR}/../lib")   # directories to search for prerequisites
	INSTALL(CODE "
  	include(BundleUtilities)
   	fixup_bundle(\"${APPS}\"   \"\"   \"${DIRS}\")
   	")
endif(APPLE)

=== debian/changelog ===
marsshooter (0.7.5-2) unstable; urgency=medium

  * Depend on fonts package fonts-wqy-microhei instead of the deprecated
    ttf-wqy-microhei.
  * Add fix-segfault-when-using-arguments-without-path.patch.
    - Fix a segmentation fault when one tries to launch M.A.R.S using the -cfg
      or -data arguments without specifying a path after that argument.
      Thanks to Sylvain Boilard for the report and patch! (Closes: #737487)
  * Add Forwarded headers to all patches.
  * Remove source/options file because xz compression is the default now.

 -- Markus Koschany <apo@gambaru.de>  Mon, 03 Feb 2014 21:47:22 +0100

marsshooter (0.7.5-1) unstable; urgency=medium

  * Initial release. (Closes: #722915)

 -- Markus Koschany <apo@gambaru.de>  Tue, 17 Dec 2013 18:11:59 +0100

=== debian/control ===
Source: marsshooter
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 dpkg-dev (>= 1.17),
 libfribidi-dev,
 libsfml-dev,
 libtag1-dev,
 pkg-config
Build-Depends-Indep:
 imagemagick
Standards-Version: 3.9.5
Homepage: http://mars-game.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-games/marsshooter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/marsshooter.git

Package: marsshooter
Architecture: any
Depends:
 fonts-dejavu,
 fonts-gargi,
 fonts-tlwg-waree,
 fonts-wqy-microhei,
 marsshooter-data (<= ${source:Version}),
 marsshooter-data (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: ridiculous space shooter governed by the laws of gravity
 M.A.R.S is a two-dimensional space shooter game with excellent 2D-graphics, a
 stunning amount of particles and shader support. It offers single- and
 multiplayer gameplay, many impressive weapons and specials and customizable
 ships.
 .
 In the year 3547 civilizations across the galaxy have settled their own
 planets, living in peace and harmony with its environment. But outside the
 placid habitats, the GREAT WAR is raging. As a famous fighter on your way to
 never ending honor and prosperity, you have to protect your planet from the
 imminent doom of your jealous neighbours!

Package: marsshooter-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 marsshooter
Description: ridiculous space shooter governed by the laws of gravity -- data
 M.A.R.S is a two-dimensional space shooter game with excellent 2D-graphics, a
 stunning amount of particles and shader support. It offers single- and
 multiplayer gameplay, many impressive weapons and specials and customizable
 ships.
 .
 This package contains the data files for M.A.R.S and includes all graphics
 and sounds.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
#export DEB_BUILD_OPTIONS=nostrip noopt
PKD    := $(abspath $(dir $(MAKEFILE_LIST)))
VER    := $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d- -f1)
PKG    := marsshooter
UURL   := https://github.com/jwrdegoede/M.A.R.S..git
COMMIT := 985c26889f5397db90be84f4bb8316e6ceafa75e


%:
	dh $@ --parallel

override_dh_auto_build-indep:
	convert -monitor -resize 32x32 resources/mars.xpm mars.xpm

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: $(PKG)_$(VER).orig.tar.xz
	@

$(PKG)_$(VER).orig.tar.xz:
	@echo "# Cloning upstream git repository..."
	git clone $(UURL) $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	&& git checkout -b debiansource $(COMMIT) \
	&& echo "# Setting times..." \
	&& for F in $$(git ls-tree -r --name-only HEAD); \
	do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
	&& echo "# Cleaning-up..." \
	&& $(RM) -r -v \
		data/fonts/* \
		ext_libs_for_windows \
		.git/ \
	&& touch data/fonts/.dont_delete_me
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/mars-game/mars_source_(.+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## marsshooter 0.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,21 @@
 # version number
 set(mars_MAJOR 0)
 set(mars_MINOR 7)
-set(mars_PATCH 5)
+set(mars_PATCH 6)
 set(mars_VERSION ${mars_MAJOR}.${mars_MINOR}.${mars_PATCH})
 set(mars_DESCRIPTION "M.A.R.S. - a ridiculous Shooter")
 set(mars_HOMEPAGE "http://www.marsshooter.org")
-set(mars_EXENAME "mars")
+set(mars_EXENAME "marsshooter")
 set(mars_PACKAGENAME "mars")
  
 # We require at least version 2.8.0
 cmake_minimum_required(VERSION 2.8.0)
+
+#####################################################################
+# Installation directories
+#####################################################################
+set(mars_DATA_DEST_DIR ${CMAKE_INSTALL_PREFIX}/share/games/marsshooter CACHE STRING "marsshooter data files destdir")
+set(mars_EXE_DEST_DIR ${CMAKE_INSTALL_PREFIX}/games CACHE STRING "marsshooter exe destdir")
 
 #####################################################################
 # Configure and find libraries
@@ -62,7 +68,7 @@
 #####################################################################
 
 # compile source
-set(CMAKE_CXX_FLAGS "-s -O2")
+set(CMAKE_CXX_FLAGS "-s -O2" CACHE STRING "CXX flags")
  add_subdirectory(src) 
  
 #####################################################################

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # create executable
 if(APPLE)
 	add_executable(
-		mars MACOSX_BUNDLE
+		marsshooter MACOSX_BUNDLE
 			main.cpp
 			${MARS_SOURCES}
 			${MARS_HEADERS}
@@ -40,7 +40,7 @@
   )
 else(APPLE)
 	add_executable(
-		mars
+		marsshooter
 			main.cpp 
 			${MARS_SOURCES}
 			${MARS_HEADERS}
@@ -50,7 +50,7 @@
 
 # link SFML and other libraries
 target_link_libraries(
-	mars
+	marsshooter
 		${FOUNDATION_LIBRARY}
 		${SFML_LIBRARIES}
 		${OPENGL_LIBRARIES}
@@ -66,9 +66,9 @@
 if(UNIX)
 	install(
 		TARGETS 
-			mars
+			marsshooter
 		RUNTIME DESTINATION
-			${CMAKE_INSTALL_PREFIX}/games
+			${mars_EXE_DEST_DIR}
 	)
 	install(
 		FILES
@@ -82,7 +82,7 @@
 			${MARS_SOURCE_DIR}/data/botnames.txt
 			${MARS_SOURCE_DIR}/data/shipnames.txt
 		DESTINATION
-			${CMAKE_INSTALL_PREFIX}/share/games/marsshooter
+			${mars_DATA_DEST_DIR}
 	)
 	install(
 		DIRECTORY 
@@ -92,47 +92,60 @@
 			${CMAKE_SOURCE_DIR}/data/shaders
 			${CMAKE_SOURCE_DIR}/data/tex
 		DESTINATION 
-			${CMAKE_INSTALL_PREFIX}/share/games/marsshooter
+			${mars_DATA_DEST_DIR}
 		PATTERN 
 			".svn" EXCLUDE
 	)
 	# icons
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.png
+			${MARS_SOURCE_DIR}/resources/marsshooter.png
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/512x512/apps
 	)
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.svg
+			${MARS_SOURCE_DIR}/resources/marsshooter.svg
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
 	)
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.xpm
+			${MARS_SOURCE_DIR}/resources/marsshooter.xpm
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/pixmaps
 	)
 	# desktop file
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars.desktop
+			${MARS_SOURCE_DIR}/resources/marsshooter.desktop
 		DESTINATION
 			${CMAKE_INSTALL_PREFIX}/share/applications
 	)
+	# appdata file
 	install(
 		FILES
-			${MARS_SOURCE_DIR}/resources/mars
+			${MARS_SOURCE_DIR}/resources/marsshooter.appdata.xml
 		DESTINATION
-			${CMAKE_INSTALL_PREFIX}/share/menu
+			${CMAKE_INSTALL_PREFIX}/share/appdata
 	)
-
+	# manpage
+	install(
+		FILES
+			${MARS_SOURCE_DIR}/resources/marsshooter.6
+		DESTINATION
+			${CMAKE_INSTALL_PREFIX}/share/man/man6
+	)
+    #install(
+    #FILES
+    #${MARS_SOURCE_DIR}/resources/mars
+    #DESTINATION
+    #${CMAKE_INSTALL_PREFIX}/share/menu
+    #)
 else(UNIX)
 	# executable
 	install(
-		TARGETS mars
+		TARGETS marsshooter
 			RUNTIME DESTINATION .
 			BUNDLE DESTINATION .
 	)

=== debian/changelog ===
marsshooter (0.7.6-1) unstable; urgency=medium

  * Imported Upstream version 0.7.6.
    - Add a new appdata file.
    - Rename mars binary to marsshooter.
    - Use upstream's man page.
    - Make the build reproducible.
  * Drop all patches. Applied upstream.
  * Vcs-Browser: Use https.
  * Update my e-mail address.
  * Install NEWS file as upstream changelog.
  * debian/control: Depend only on marsshooter-data (>= ${source:Version}).
  * Add README.source.
  * Add man-page.patch and fix outdated SYNOPSIS.

 -- Markus Koschany <apo@debian.org>  Sun, 10 Jan 2016 17:06:50 +0100

marsshooter (0.7.5-3) unstable; urgency=medium

  * Add remove-glu-dependency.patch.
    Fix build failures with SFML 2.3. due to the use of functions from GLU and
    replace GLU with standard OpenGL calls.
    Thanks to James Cowgill for the report and the patch! (Closes: #784857)
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit.
  * Add mars binary to debian/clean and ensure M.A.R.S. can be built twice in a
    row.

 -- Markus Koschany <apo@gambaru.de>  Wed, 01 Jul 2015 12:42:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 9),
@@ -14,10 +14,10 @@
  pkg-config
 Build-Depends-Indep:
  imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mars-game.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/marsshooter.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/marsshooter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/marsshooter.git
 
 Package: marsshooter
 Architecture: any
@@ -26,8 +26,7 @@
  fonts-gargi,
  fonts-tlwg-waree,
  fonts-wqy-microhei,
- marsshooter-data (<= ${source:Version}),
- marsshooter-data (>= ${source:Upstream-Version}),
+ marsshooter-data (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: ridiculous space shooter governed by the laws of gravity

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	convert -monitor -resize 32x32 resources/marsshooter.xpm marsshooter.xpm

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/jwrdegoede/M.A.R.S./tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)marsshooter-(\d\S*)\.tar\.gz
